Bug 14409

Summary: Double click on a resource in the sidebar should open that resource in Safari
Product: WebKit Reporter: Timothy Hatcher <timothy@apple.com>
Component: Web Inspector (Deprecated)Assignee: Nobody <webkit-unassigned@lists.webkit.org>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth@webkit.org, joepeck@webkit.org, timothy@apple.com
Priority: P2 Keywords: InRadar
Version: 523.x (Safari 3)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Double Click opens the Resource in a New Window timothy: review+

Description From 2007-06-26 05:33:07 PST
A double click on a resource in the sidebar should open that resource directly in a new Safari window.
------- Comment #1 From 2008-01-29 11:01:22 PST -------
<rdar://problem/5712835>
------- Comment #2 From 2009-07-17 22:02:27 PST -------
Created an attachment (id=33006) [details]
Double Click opens the Resource in a New Window

Side effect of a really good design is that a feature like this requires a couple lines of code.  This opens up a new window with the url of the resource.

NOTES:
- Should we white-list file extensions or mime-types?
- Is this behavior still desired? (I think its fine).
------- Comment #3 From 2009-07-17 22:14:14 PST -------
Actually, now that I think about it.  "window.open" can be redefined by the inspected page.  So if that cannot be "trusted" then we would have to resort to something else.  Thoughts?
------- Comment #4 From 2009-07-24 01:21:23 PST -------
Committing to http://svn.webkit.org/repository/webkit/trunk ...
    M    WebCore/ChangeLog
    M    WebCore/inspector/front-end/ResourcesPanel.js
Committed r46336
    M    WebCore/ChangeLog
    M    WebCore/inspector/front-end/ResourcesPanel.js
r46336 = 3a3566570220a9ffc5cd2bdb9f43ddf2c6d164ca (trunk)
No changes between current HEAD and refs/remotes/trunk
Resetting to the latest refs/remotes/trunk
http://trac.webkit.org/changeset/46336